2.2 unlocked 3G. Possibly to update and preserve unlock?

Discussion in 'Jailbreaks and iOS Hacks' started by ninethirty, Feb 24, 2010.

  1. ninethirty macrumors 6502a

    Joined:
    Mar 1, 2006
    #1
    Hi Everyone,

    I have an old 3G that belongs to a friend. It's on 2.2 still, and unlocked/jailbroken. She wants to upgrade to 3.x but is it safe? Is it possible to upgrade to 3.1.2 (rather than .1.3) and either preserve the unlock, or is it possible to unlock at that point still?

    Or does she have to wait?

    Thanks in advance!
     
  2. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #2
    The firmware on a 3G can be upgraded and downgraded at will and jailbroken on any version.

    I recommend Pwnage Tool, but I believe I read it's better to restore to 3.0 or 3.0.1 first (4.26.xx baseband) then use Pwnage Tool for the update to 3.1.2 to preserve 4.26.xx basebabnd.
     
  3. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #3
    So posters stating that going to 3.1.3 will prevent unlocking a 3G are incorrect? I thought they were confused with the 3GS, but would like to verify.
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    If a 3G or 3GS is updated to 3.1.3, the new 5.12.xx baseband gets installed and it is unlockable. An unlockable baseband makes no difference on 3G or 3GS. The one "possible" out on a 3G is using Fuzzyband if the 3G has bootloader 5.08.

    Are you confusing unlocking and jailbreaking ? A 3G can be JB on any version firmware.

    My post was about 3.1.2 and using Pwnage Tool to preserve 4.26.xx baseband. Never talked about going to 3.1.3.
     
  5. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #5
    The OP mentioned 3.1.3. Anyway, no, I'm not confused. A poster in another thread said the 3G couldn't be unlocked once you go to 3.1.3 and I just wanted to verify that was true.

    Edit: The problem is every time I know what's going on, Apple changes things. I haven't been following 3.1.3, since I saw no use for it.
     
  6. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #6
    The situation is the same as back with 3.1 and the 5.11.07 baseband before blacksn0w. If you upgrade your baseband to 5.12.01 by upgrading to 3.1.3 stock, your 3G will be unlockable unless you are one of the few early adopters with the old boot loader who can downgrade your baseband with FuzzyBand.
     
  7. Champcar macrumors newbie

    Joined:
    Mar 26, 2010
    #7
    Hate to bring up a old post but I have the same issue.

    I have a 3G that is running 2.1 and need to unlock it to run on T-mobile. Should I just leave it at the current software version for now or is there a way to update to 3.1.2?
     

Share This Page